#
# spec file for package perl-Email-Folder
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-Folder
Version:        0.860
Release:        1.1
%define cpan_name Email-Folder
Summary:        Read All the Messages From a Folder As Email::Simple Objects
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-Folder/
Source0:        http://www.cpan.org/authors/id/P/PA/PALI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::FolderType) >= 0.6
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
BuildRequires:  perl(version)
Requires:       perl(Email::FolderType) >= 0.6
Requires:       perl(Email::Simple)
Requires:       perl(parent)
%{perl_requires}

%description
read all the messages from a folder as Email::Simple objects

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README TODO

%changelog
* Tue Mar  8 2016 coolo@suse.com
- updated to 0.860
  see /usr/share/doc/packages/perl-Email-Folder/Changes
  0.860     2016-03-05 21:26:55 Europe/Prague
    add messageid method
    do not cut last line of last email
    support for pipe
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.859
  see /usr/share/doc/packages/perl-Email-Folder/Changes
  0.859     2014-09-16 18:29:32-04:00 America/New_York
  - all the changes in this release contributed by Pali Rohár
  - support for mboxcl and mboxcl2
  - add ability to read from a filehandle
  - add next_from and next_messageref methods
  0.858     2014-01-07 10:54:18-05:00 America/New_York
    typo fixes in docs (thanks, Florian Schlichting)
  0.857     2013-08-05 18:16:44 America/New_York
    eliminate extra Pod tests
  0.856     2013-08-05 18:12:09 America/New_York
    avoid duplicating headers when data is malformed (#31132)
    make MH folder reader work on VMS
* Fri Apr 22 2011 coolo@opensuse.org
- initial package 0.855
  * created by cpanspec 1.78.04
